<?php 

/*
infinite-scroll from Jetpack

replaced:
'jetpack'
 to
'firmasite'

(we are doing this for preventing error if firmasite plugin is activated before jetpack)
replaced:
The_Neverending_Home_Page
to
FirmaSite_Infinite_Scroll


replaced:
'firmasite-infinite-scroll'
to
'firmasite-infinite-scroll'

 

remove infinity.css
open infinity.php
remove plugin details in top for prevent plugin name scans detection for systems like codestyling-localization

find 
infinity.css
remove css queue completely

remove line:
add_action( 'after_setup_theme', 'FirmaSite_Infinite_Scroll_theme_support', 5 );

remove line:
add_action( 'init', 'FirmaSite_Infinite_Scroll_init', 20 );

remove line:
add_settings_field( self::$option_name_enabled, '<span id="infinite-scroll-options">' . __( 'To infinity and beyond', 'firmasite' ) . '</span>', array( $this, 'infinite_setting_html' ), 'reading' );

remove line:
register_setting( 'reading', self::$option_name_enabled, 'esc_attr' );


find
get_option( 'home' )
replace
home_url()

find
get_settings
replace
get_option

find
$disabled = '' === get_option( self::$option_name_enabled ) ? true : false;
replace
global $firmasite_settings;
$disabled = '' === $firmasite_settings["infinite-scroll"] ? true : false;


*/

require_once ( get_template_directory() . '/functions/infinite-scroll/infinity.php'); // infinite-scroll

/**
 * FirmaSite_Infinite_Scroll Customizer
 */
add_action('after_setup_theme', "FirmaSite_Infinite_Scroll_setup",99 );
function FirmaSite_Infinite_Scroll_setup() {
	global $firmasite_settings;
	
	add_action( 'customize_register', "firmasite_infinite_scroll_customizer_register");
	function firmasite_infinite_scroll_customizer_register($wp_customize) {
			global $firmasite_settings, $firmasite_settings_desc;
			
			// No responsive
			$wp_customize->add_setting( 'firmasite_settings[infinite-scroll]', array(
				'type'      => 'option',
				'default' 	=> false,
			) );
			$wp_customize->add_control( 'firmasite_settings[infinite-scroll]', array(
				'label'    => esc_attr__( 'Activate Infinite Scroll', 'firmasite' ),
				'type' => 'checkbox',
				'section'  => 'theme-settings',
				'priority' => '991',
			) );	
				// Adding explanation for setting
				$firmasite_settings_desc["infinite-scroll"]['content'] = esc_attr__( 'Instead of having to click a link to get to the next set of posts, infinite scrolling pulls the next posts automatically into view when the reader approaches the bottom of the page.', 'firmasite' ); 
	}
	
	if( isset($firmasite_settings["infinite-scroll"]) && true == $firmasite_settings["infinite-scroll"]){
		add_theme_support( 'firmasite-infinite-scroll', array(
			'container' => 'primary',
			'render'    => 'firmasite_infinite_scroll_render',
			'wrapper'   => false,
			'footer'	=> false,
			'posts_per_page' => $firmasite_settings["loop_tile_row"] * 3,
		));
		add_action( 'wp_enqueue_scripts', 'FirmaSite_Infinite_Scroll_scripts' );
		function FirmaSite_Infinite_Scroll_scripts() {
			wp_enqueue_script( 'firmasite-infinite-scroll', get_template_directory_uri() .'/functions/infinite-scroll/infinity.js', array( 'jquery' ), 20140523, true );
		}

	}

}


// settings init for some conditions
add_filter('infinite_scroll_js_settings', "FirmaSite_Infinite_Scroll_settings_init",10,1);
function FirmaSite_Infinite_Scroll_settings_init($js_settings) {
	global $firmasite_settings;
	if(isset($firmasite_settings["main_loop_id"])) {
		$js_settings["id"] = $firmasite_settings["main_loop_id"];
	} 
	
	return $js_settings;
}



/**
 * Initialize FirmaSite_Infinite_Scroll
 */
add_action( 'init', 'FirmaSite_Infinite_Scroll_start', 20 );
function FirmaSite_Infinite_Scroll_start() {
	
	new FirmaSite_Infinite_Scroll;
}

//infinite-scroll support
function firmasite_infinite_scroll_render() {
	while ( have_posts() ) : the_post(); ?>

		<?php
            /* Include the Post-Type-specific template for the content.
               If you want to support Post-Format, i suggest customize loop files with switch()
             */
            global $post;
            get_template_part( 'templates/loop', $post->post_type );
        ?>

    <?php endwhile; 
}